## koko 25.08.3+p24.04+vunstable+git20251201.0320

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: LGPL-2.0-or-later

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "26")
set(RELEASE_SERVICE_VERSION_MINOR "03")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(koko VERSION ${RELEASE_SERVICE_VERSION})

set(CMAKE_CXX_STANDARD 20)
set(QT_MIN_VERSION 6.5)
set(KF_MIN_VERSION 5.240)
set(KDE_COMPILERSETTINGS_LEVEL 5.84)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(FeatureSummary)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMFindQmlModule)
include(KDECompilerSettings)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMSetupVersion)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KOKO
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
)
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets Test Sql Positioning Svg)
if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.9.0")
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED GuiPrivate)
endif()
find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS PrintSupport)

qt_policy(SET QTP0001 NEW)

if(ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS AndroidExtras)
endif()

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO CoreAddons Notifications FileMetaData DBusAddons)

find_package(LibExiv2 0.28 REQUIRED)

ecm_find_qmlmodule(org.kde.kquickimageeditor)
find_package(KQuickImageEditor 0.6.0 COMPONENTS)
set_package_properties(KQuickImageEditor PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Simple image editor for QtQuick applications"
    URL "https://invent.kde.org/libraries/kquickimageeditor/"
    PURPOSE "Add image editing capability to image attachments"
)

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    PURPOSE "Required for getting display color profile on X11"
    TYPE OPTIONAL
)

find_package(Qt6QuickControls2 ${QT_MIN_VER} REQUIRED)
set_package_properties(Qt6QuickControls2 PROPERTIES
    DESCRIPTION "User interface controls based on Qt Quick"
    PURPOSE "Required at runtime to run Koko"
    TYPE RUNTIME
)

find_package(KF6Kirigami)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime to run Koko"
    TYPE RUNTIME
)

ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard REQUIRED)
ecm_find_qmlmodule(org.kde.kirigamiaddons.delegates REQUIRED)

find_package(KF6KirigamiAddons)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required runtime dependency"
)

find_package(KF6Purpose)
set_package_properties(KF6Purpose PROPERTIES
    DESCRIPTION "Offers available actions for a specific purpose"
    PURPOSE "Required at runtime to run Koko and allow sharing of files"
    TYPE RUNTIME
)

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_BINARY_DIR}/src
)

ki18n_install(po)

kde_enable_exceptions()
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(icons)

install(FILES org.kde.koko.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Vishesh Handa <vhanda@kde.org>
# SPDX-FileCopyrightText: 2019 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: LGPL-2.1-or-later

add_subdirectory(models)

add_subdirectory(thumbnails)
add_subdirectory(editor)

qt_add_library(koko_static STATIC
    exiv2extractor.cpp
    filesystemimagefetcher.cpp
    reversegeocoder.cpp
    filesystemtracker.cpp
    processor.cpp
    committimer.cpp
    imageprocessorrunnable.cpp
    vectorimage.cpp
    controller.cpp
    kdtree.cpp
    filemenuactions.cpp
    dirmodelutils.cpp
    notificationmanager.cpp
    fileinfo.cpp
    displaycolorspace.cpp
    photosapplication.cpp
    photosapplication.h
    devicepixelratiohelper.cpp
    checkerboardimageprovider.cpp
    printerhelper.cpp
    filedialoghelper.cpp
)

kconfig_target_kcfg_file(koko_static
    FILE kokoconfig.kcfg
    CLASS_NAME Config
    MUTATORS
    GENERATE_PROPERTIES
    GENERATE_MOC
    DEFAULT_VALUE_GETTERS
    SINGLETON
    QML_REGISTRATION
)

target_link_libraries(koko_static PUBLIC
    photos_model_static
    photos_thumbnails_static

    Qt::Widgets
    Qt::Core
    Qt::Svg
    Qt::QuickControls2
    KF6::CoreAddons
    KF6::KIOFileWidgets
    KF6::KIOWidgets
    KF6::DBusAddons
    KF6::FileMetaData
    KF6::ConfigGui
    KF6::ConfigCore
    KF6::ConfigWidgets
    KF6::I18n
    KF6::I18nQml
    KF6::Notifications
    KirigamiAddonsStatefulApp
    LibExiv2::LibExiv2
    KQuickImageEditor
)

if(Qt6PrintSupport_FOUND)
    target_compile_definitions(koko_static PUBLIC HAVE_PRINTSUPPORT)
    target_link_libraries(koko_static PUBLIC Qt::PrintSupport)
endif()

ecm_add_qml_module(koko_static
    URI "org.kde.koko"
    GENERATE_PLUGIN_SOURCE
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/koko
    IMPORTS
        org.kde.photos.models
        org.kde.photos.thumbnails
    DEPENDENCIES
        QtCore
        QtQml
        QtQuick
        org.kde.kirigamiaddons.statefulapp
)

ecm_target_qml_sources(koko_static SOURCES
    qml/AlbumDelegate.qml
    qml/AlbumView.qml
    qml/BottomNavBar.qml
    qml/DelegateLoader.qml
    qml/ImageMetadataPage.qml
    qml/ImageViewPage.qml
    qml/InfoDrawer.qml
    qml/InfoDrawerSidebarBase.qml
    qml/InfoSidebar.qml
    qml/Main.qml
    qml/OverviewControl.qml
    qml/PlacesPage.qml
    qml/SelectionButton.qml
    qml/ShareAction.qml
    qml/ShareDialog.qml
    qml/ShareDrawer.qml
    qml/Sidebar.qml
    qml/SlideshowManager.qml
    qml/TagInput.qml
    qml/ThumbnailStrip.qml
    qml/ZoomArea.qml
    qml/Settings/PhotosConfigurationView.qml
    qml/Settings/GeneralConfigPage.qml
)

ecm_target_qml_sources(koko_static PRIVATE
    PATH imagedelegate
    SOURCES
        qml/imagedelegate/AnimatedImageDelegate.qml
        qml/imagedelegate/BaseImageDelegate.qml
        qml/imagedelegate/RasterImageDelegate.qml
        qml/imagedelegate/VectorImageDelegate.qml
        qml/imagedelegate/VideoDelegate.qml
        qml/imagedelegate/VideoPlayer.qml
)

if(ANDROID)
    target_link_libraries(koko_static PUBLIC Qt::AndroidExtras)
else()
    target_link_libraries(koko_static PUBLIC KF6::WindowSystem)
endif()

if (TARGET XCB::XCB)
    target_compile_definitions(koko_static PUBLIC HAVE_X11)
    target_link_libraries(koko_static PUBLIC XCB::XCB Qt6::GuiPrivate)
endif()

add_subdirectory(resources)

add_executable(koko
    main.cpp
)

target_link_libraries(koko PRIVATE
    koko_static
    koko_staticplugin
    photos_model_staticplugin
    photos_thumbnails_staticplugin
    photos_editor_static
    photos_editor_staticplugin
)

install(FILES koko.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
install(FILES org.kde.koko.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(TARGETS koko ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
koko (25.08.3+p24.04+vunstable+git20251201.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:21:13 +0000

## koko 25.08.3+p24.04+vunstable+git20251206.0811

=== debian/changelog ===
koko (25.08.3+p24.04+vunstable+git20251206.0811-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:11:25 +0000

## koko 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})
@@ -47,7 +47,7 @@
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS AndroidExtras)
 endif()
 
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO CoreAddons Notifications FileMetaData DBusAddons)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO GuiAddons CoreAddons Notifications FileMetaData DBusAddons)
 
 find_package(LibExiv2 0.28 REQUIRED)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,8 @@
     vectorimage.cpp
     controller.cpp
     kdtree.cpp
-    filemenuactions.cpp
+    filemenu.h
+    filemenu.cpp
     dirmodelutils.cpp
     notificationmanager.cpp
     fileinfo.cpp
@@ -55,6 +56,7 @@
     KF6::KIOFileWidgets
     KF6::KIOWidgets
     KF6::DBusAddons
+    KF6::GuiAddons
     KF6::FileMetaData
     KF6::ConfigGui
     KF6::ConfigCore

=== src/editor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_library(photos_editor_static STATIC)

ecm_add_qml_module(photos_editor_static
    URI "org.kde.photos.editor"
    GENERATE_PLUGIN_SOURCE
)

ecm_target_qml_sources(photos_editor_static SOURCES
    AnimatedLoader.qml
    AnnotationEditor.qml
    AnnotationOptionsToolBarContents.qml
    AnnotationsToolBarContents.qml
    ButtonGrid.qml
    ConfirmDiscardingChanges.qml
    EditorView.qml
    ImageView.qml
)

target_link_libraries(photos_editor_static PRIVATE Qt::Gui)

=== src/models/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(photos_model_static STATIC
    abstractimagemodel.cpp
    abstractimagemodel.h
    imagefavoritesmodel.cpp
    imagefavoritesmodel.h
    imagefoldermodel.cpp
    imagefoldermodel.h
    imagegroupmodel.cpp
    imagegroupmodel.h
    imagelocationmodel.cpp
    imagelocationmodel.h
    imagestorage.cpp
    imagestorage.h
    imagetagsmodel.cpp
    imagetagsmodel.h
    imagetimemodel.cpp
    imagetimemodel.h
    openfilemodel.cpp
    openfilemodel.h
    sortmodel.cpp
    sortmodel.h
)

target_link_libraries(photos_model_static PUBLIC
    Qt::Quick
    Qt::Qml
    Qt::Sql
    Qt::Positioning
    KF6::KIOCore
    KF6::KIOWidgets # For KDirModel
    KF6::KIOGui
    KF6::GuiAddons
    KF6::CoreAddons
)

ecm_add_qml_module(photos_model_static
    URI "org.kde.photos.models"
    GENERATE_PLUGIN_SOURCE
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/photos/models
)

=== src/thumbnails/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Oliver Beard <olib141@outlook.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(photos_thumbnails_static STATIC
    thumbnailitem.cpp
    thumbnailitem.h
    thumbnailmanager.cpp
    thumbnailmanager.h
)

target_link_libraries(photos_thumbnails_static PUBLIC
    Qt::Quick
    KF6::KIOGui
)

ecm_add_qml_module(photos_thumbnails_static
    URI "org.kde.photos.thumbnails"
    GENERATE_PLUGIN_SOURCE
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/photos/thumbnails
)

=== debian/changelog ===
koko (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:54:07 +0000

koko (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:16:21 +0000

koko (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:49:53 +0100

=== debian/control ===
Source: koko
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev,
               kquickimageeditor-dev,
               libexiv2-dev (>= 0.21~),
               libkf6config-dev (>= 5.240~),
               libkf6configwidgets-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6declarative-dev (>= 5.240~),
               libkf6filemetadata-dev (>= 5.240~),
               libkf6guiaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6kio-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev,
               libkirigami-dev,
               libxcb-util-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.5~),
               qt6-svg-dev (>= 6.5~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/koko/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
Rules-Requires-Root: no

Package: koko
Architecture: any
Multi-Arch: foreign
Depends: koko-data (= ${source:Version}),
	 libgdk-pixbuf2.0-bin,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Image gallery for Plasma mobile
 Koko is an image viewer designed for desktop and touch devices.
 .
 It is based on Kirigami, being therefore able to adapt nicely to desktops,
 phones, big screens and potentially everything else.
 .
 It features a gallery and an image viewer, plus the chance to do simple
 image modifications (crop, rotation) in-app thanks to the kquickimageeditor.

Package: koko-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Image gallery for Plasma mobile -- data files
 Koko is an image viewer designed for desktop and touch devices.
 .
 This package contains architecture-independent data files.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/@ANY_VERSION@/src/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## koko 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})
@@ -47,7 +47,7 @@
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS AndroidExtras)
 endif()
 
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO GuiAddons CoreAddons Notifications FileMetaData DBusAddons)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO CoreAddons Notifications FileMetaData DBusAddons)
 
 find_package(LibExiv2 0.28 REQUIRED)

=== debian/changelog ===
koko (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:09:27 +0000

## koko 25.12.0

=== debian/changelog ===
koko (25.12.0-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:02:56 +0000

koko (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:47 +1000

## koko 25.12.0+p24.04+vstable+git20251224.0746

=== debian/changelog ===
koko (25.12.0+p24.04+vstable+git20251224.0746-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:46:16 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, @builddeps@
Restrictions: rw-build-tree isolation-container

## koko 25.12.0+p24.04+vstable+git20251231.0420

=== debian/changelog ===
koko (25.12.0+p24.04+vstable+git20251231.0420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:20:23 +0000

## koko 25.12.0+p24.04+vstable+git20260103.0622

=== debian/changelog ===
koko (25.12.0+p24.04+vstable+git20260103.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:22:24 +0000

## koko 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,6 @@
     KF6::KIOFileWidgets
     KF6::KIOWidgets
     KF6::DBusAddons
-    KF6::GuiAddons
     KF6::FileMetaData
     KF6::ConfigGui
     KF6::ConfigCore

=== debian/changelog ===
koko (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 12:21:21 +0000

koko (25.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (25.12.0).
  * Update build-deps and deps with the info from cmake.
  * Standards-version 4.7.3 (drop Priority, Rules-Require-Root from d/control).
  * d/control: explicitly depend on kquickimageeditor's binaries at least 0.6.0.

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Refresh copyright information.
  * Switch to debian/watch format version 5.
  * Fix library name for stricter dependency on libkquickimageeditor1.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 22:08:35 +0100

koko (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:09:03 +0000

koko (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:26:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: koko
 Section: kde
-Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240~),
                kirigami-addons-dev,
-               kquickimageeditor-dev,
-               libexiv2-dev (>= 0.21~),
+               kquickimageeditor-dev (>= 0.6.0~),
+               libexiv2-dev (>= 0.28~),
                libkf6config-dev (>= 5.240~),
                libkf6configwidgets-dev (>= 5.240~),
                libkf6coreaddons-dev (>= 5.240~),
@@ -34,11 +33,10 @@
                qt6-svg-dev (>= 6.5~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://apps.kde.org/koko/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
-Rules-Requires-Root: no
 
 Package: koko
 Architecture: any

## koko 25.12.1+p24.04+vstable+git20260106.1830

=== debian/changelog ===
koko (25.12.1+p24.04+vstable+git20260106.1830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 18:30:48 +0000

koko (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:04 +1000

## koko 25.12.1+p24.04+vstable+git20260130.0941

=== debian/changelog ===
koko (25.12.1+p24.04+vstable+git20260130.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:41:45 +0000

=== debian/control ===
Source: koko
Section: kde
Priority: optional
XSBC-Original-Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kfilemetadata-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               kquickimageeditor-dev,
               libexiv2-dev,
               libplasma-dev,
               libxcb-util-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-positioning-dev,
               qt6-svg-dev,
               wget
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/koko.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/koko
Maintainer: Neon CI <neon@kde.org>

Package: koko
Architecture: any
Depends: libplasma6,
         qml6-module-org-kde-kquickimageeditor,
         qml6-module-org-kde-purpose,
         qml6-module-qt5compat-graphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Image Gallery
 A KDE Image Gallery.

Package: koko-dbg
Architecture: all
Depends: koko, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## koko 25.12.1+p24.04+vunstable+git20260205.0758

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})
@@ -35,21 +35,34 @@
     VARIABLE_PREFIX KOKO
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
 )
-find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets Test Sql Positioning Svg)
+find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Qml Quick Widgets Test Sql Positioning Svg QuickControls2)
 if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.9.0")
     find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED GuiPrivate)
 endif()
 find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS PrintSupport)
 
-qt_policy(SET QTP0001 NEW)
-
 if(ANDROID)
-    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS AndroidExtras)
+    find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS AndroidExtras)
 endif()
 
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO CoreAddons Notifications FileMetaData DBusAddons)
+set_package_properties(Qt6 PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Base components"
+)
 
-find_package(LibExiv2 0.28 REQUIRED)
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS I18n Declarative Config ConfigWidgets KIO CoreAddons Notifications FileMetaData DBusAddons Kirigami Purpose)
+set_package_properties(KF6 PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Base components"
+)
+
+find_package(LibExiv2 0.28)
+set_package_properties(LibExiv2 PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Image metadata library and tools"
+    URL "https://github.com/Exiv2/exiv2"
+    PURPOSE "Get image metadata"
+)
 
 ecm_find_qmlmodule(org.kde.kquickimageeditor)
 find_package(KQuickImageEditor 0.6.0 COMPONENTS)
@@ -66,20 +79,6 @@
     TYPE OPTIONAL
 )
 
-find_package(Qt6QuickControls2 ${QT_MIN_VER} REQUIRED)
-set_package_properties(Qt6QuickControls2 PROPERTIES
-    DESCRIPTION "User interface controls based on Qt Quick"
-    PURPOSE "Required at runtime to run Koko"
-    TYPE RUNTIME
-)
-
-find_package(KF6Kirigami)
-set_package_properties(KF6Kirigami PROPERTIES
-    DESCRIPTION "A QtQuick based components set"
-    PURPOSE "Required at runtime to run Koko"
-    TYPE RUNTIME
-)
-
 ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard REQUIRED)
 ecm_find_qmlmodule(org.kde.kirigamiaddons.delegates REQUIRED)
 
@@ -89,12 +88,10 @@
     PURPOSE "Required runtime dependency"
 )
 
-find_package(KF6Purpose)
-set_package_properties(KF6Purpose PROPERTIES
-    DESCRIPTION "Offers available actions for a specific purpose"
-    PURPOSE "Required at runtime to run Koko and allow sharing of files"
-    TYPE RUNTIME
-)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+qt_policy(SET QTP0001 NEW)
+qt_policy(SET QTP0004 OLD)
 
 include_directories(
   ${CMAKE_SOURCE_DIR}
@@ -115,5 +112,3 @@
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,7 @@
     vectorimage.cpp
     controller.cpp
     kdtree.cpp
-    filemenu.h
-    filemenu.cpp
+    filemenuactions.cpp
     dirmodelutils.cpp
     notificationmanager.cpp
     fileinfo.cpp
@@ -36,6 +35,17 @@
 kconfig_target_kcfg_file(koko_static
     FILE kokoconfig.kcfg
     CLASS_NAME Config
+    MUTATORS
+    GENERATE_PROPERTIES
+    GENERATE_MOC
+    DEFAULT_VALUE_GETTERS
+    SINGLETON
+    QML_REGISTRATION
+)
+
+kconfig_target_kcfg_file(koko_static
+    FILE kokostateconfig.kcfg
+    CLASS_NAME State
     MUTATORS
     GENERATE_PROPERTIES
     GENERATE_MOC
@@ -88,40 +98,40 @@
 )
 
 ecm_target_qml_sources(koko_static SOURCES
-    qml/AlbumDelegate.qml
-    qml/AlbumView.qml
+    qml/gallery/GalleryPage.qml
+    qml/gallery/GalleryDelegate.qml
+    qml/gallery/NavigatorComponent.qml
+    qml/gallery/NavigatorPathButton.qml
+
+    qml/mediaview/MediaViewPage.qml
+    qml/mediaview/MediaViewThumbnail.qml
+    qml/mediaview/DelegateLoader.qml
+    qml/mediaview/ThumbnailStrip.qml
+    qml/mediaview/OverviewControl.qml
+    qml/mediaview/SlideshowManager.qml
+    qml/mediaview/InfoDrawer.qml
+    qml/mediaview/InfoDrawerSidebarBase.qml
+    qml/mediaview/InfoSidebar.qml
+    qml/mediaview/MediaMetadataPage.qml
+    qml/mediaview/TagInput.qml
+
+    qml/mediaview/imagedelegate/ZoomArea.qml
+    qml/mediaview/imagedelegate/AnimatedImageDelegate.qml
+    qml/mediaview/imagedelegate/BaseImageDelegate.qml
+    qml/mediaview/imagedelegate/RasterImageDelegate.qml
+    qml/mediaview/imagedelegate/VectorImageDelegate.qml
+    qml/mediaview/imagedelegate/VideoDelegate.qml
+    qml/mediaview/imagedelegate/VideoPlayer.qml
+
     qml/BottomNavBar.qml
-    qml/DelegateLoader.qml
-    qml/ImageMetadataPage.qml
-    qml/ImageViewPage.qml
-    qml/InfoDrawer.qml
-    qml/InfoDrawerSidebarBase.qml
-    qml/InfoSidebar.qml
     qml/Main.qml
-    qml/OverviewControl.qml
     qml/PlacesPage.qml
-    qml/SelectionButton.qml
     qml/ShareAction.qml
     qml/ShareDialog.qml
-    qml/ShareDrawer.qml
+    qml/ShareMenu.qml
     qml/Sidebar.qml
-    qml/SlideshowManager.qml
-    qml/TagInput.qml
-    qml/ThumbnailStrip.qml
-    qml/ZoomArea.qml
     qml/Settings/PhotosConfigurationView.qml
     qml/Settings/GeneralConfigPage.qml
-)
-
-ecm_target_qml_sources(koko_static PRIVATE
-    PATH imagedelegate
-    SOURCES
-        qml/imagedelegate/AnimatedImageDelegate.qml
-        qml/imagedelegate/BaseImageDelegate.qml
-        qml/imagedelegate/RasterImageDelegate.qml
-        qml/imagedelegate/VectorImageDelegate.qml
-        qml/imagedelegate/VideoDelegate.qml
-        qml/imagedelegate/VideoPlayer.qml
 )
 
 if(ANDROID)

=== src/models/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_library(photos_model_static STATIC
    abstractgallerymodel.h
    abstractgallerymodel.cpp
    abstractnavigablegallerymodel.h
    abstractnavigablegallerymodel.cpp
    gallerysortfilterproxymodel.h
    gallerysortfilterproxymodel.cpp
    mediaviewfiltermodel.h
    mediaviewfiltermodel.cpp
    imagestorage.h
    imagestorage.cpp
    galleryopenmodel.h
    galleryopenmodel.cpp
    galleryfoldermodel.h
    galleryfoldermodel.cpp
    galleryfavoritesmodel.h
    galleryfavoritesmodel.cpp
    gallerytagsmodel.h
    gallerytagsmodel.cpp
    gallerytimemodel.h
    gallerytimemodel.cpp
    gallerylocationmodel.h
    gallerylocationmodel.cpp
)

target_link_libraries(photos_model_static PUBLIC
    Qt::Quick
    Qt::Qml
    Qt::Sql
    Qt::Positioning
    KF6::KIOCore
    KF6::KIOWidgets # For KDirModel
    KF6::KIOGui
    KF6::CoreAddons
    KF6::I18n
)

ecm_add_qml_module(photos_model_static
    URI "org.kde.photos.models"
    GENERATE_PLUGIN_SOURCE
)

=== debian/changelog ===
koko (25.12.1+p24.04+vunstable+git20260205.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:58:19 +0000

## koko 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})
@@ -35,34 +35,21 @@
     VARIABLE_PREFIX KOKO
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
 )
-find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Qml Quick Widgets Test Sql Positioning Svg QuickControls2)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets Test Sql Positioning Svg)
 if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.9.0")
     find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED GuiPrivate)
 endif()
 find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS PrintSupport)
 
+qt_policy(SET QTP0001 NEW)
+
 if(ANDROID)
-    find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS AndroidExtras)
+    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS AndroidExtras)
 endif()
 
-set_package_properties(Qt6 PROPERTIES
-    TYPE REQUIRED
-    DESCRIPTION "Base components"
-)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO CoreAddons Notifications FileMetaData DBusAddons)
 
-find_package(KF6 ${KF_MIN_VERSION} COMPONENTS I18n Declarative Config ConfigWidgets KIO CoreAddons Notifications FileMetaData DBusAddons Kirigami Purpose)
-set_package_properties(KF6 PROPERTIES
-    TYPE REQUIRED
-    DESCRIPTION "Base components"
-)
-
-find_package(LibExiv2 0.28)
-set_package_properties(LibExiv2 PROPERTIES
-    TYPE REQUIRED
-    DESCRIPTION "Image metadata library and tools"
-    URL "https://github.com/Exiv2/exiv2"
-    PURPOSE "Get image metadata"
-)
+find_package(LibExiv2 0.28 REQUIRED)
 
 ecm_find_qmlmodule(org.kde.kquickimageeditor)
 find_package(KQuickImageEditor 0.6.0 COMPONENTS)
@@ -79,6 +66,20 @@
     TYPE OPTIONAL
 )
 
+find_package(Qt6QuickControls2 ${QT_MIN_VER} REQUIRED)
+set_package_properties(Qt6QuickControls2 PROPERTIES
+    DESCRIPTION "User interface controls based on Qt Quick"
+    PURPOSE "Required at runtime to run Koko"
+    TYPE RUNTIME
+)
+
+find_package(KF6Kirigami)
+set_package_properties(KF6Kirigami PROPERTIES
+    DESCRIPTION "A QtQuick based components set"
+    PURPOSE "Required at runtime to run Koko"
+    TYPE RUNTIME
+)
+
 ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard REQUIRED)
 ecm_find_qmlmodule(org.kde.kirigamiaddons.delegates REQUIRED)
 
@@ -88,10 +89,12 @@
     PURPOSE "Required runtime dependency"
 )
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-qt_policy(SET QTP0001 NEW)
-qt_policy(SET QTP0004 OLD)
+find_package(KF6Purpose)
+set_package_properties(KF6Purpose PROPERTIES
+    DESCRIPTION "Offers available actions for a specific purpose"
+    PURPOSE "Required at runtime to run Koko and allow sharing of files"
+    TYPE RUNTIME
+)
 
 include_directories(
   ${CMAKE_SOURCE_DIR}
@@ -112,3 +115,5 @@
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/models/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(photos_model_static STATIC
    abstractimagemodel.cpp
    abstractimagemodel.h
    imagefavoritesmodel.cpp
    imagefavoritesmodel.h
    imagefoldermodel.cpp
    imagefoldermodel.h
    imagegroupmodel.cpp
    imagegroupmodel.h
    imagelocationmodel.cpp
    imagelocationmodel.h
    imagestorage.cpp
    imagestorage.h
    imagetagsmodel.cpp
    imagetagsmodel.h
    imagetimemodel.cpp
    imagetimemodel.h
    openfilemodel.cpp
    openfilemodel.h
    sortmodel.cpp
    sortmodel.h
)

target_link_libraries(photos_model_static PUBLIC
    Qt::Quick
    Qt::Qml
    Qt::Sql
    Qt::Positioning
    KF6::KIOCore
    KF6::KIOWidgets # For KDirModel
    KF6::KIOGui
    KF6::CoreAddons
)

ecm_add_qml_module(photos_model_static
    URI "org.kde.photos.models"
    GENERATE_PLUGIN_SOURCE
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/photos/models
)

=== debian/changelog ===
koko (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:26:16 +0000

koko (25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:18:39 +0000

=== debian/control ===
Source: koko
Section: kde
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev,
               kquickimageeditor-dev (>= 0.6.0~),
               libexiv2-dev (>= 0.28~),
               libkf6config-dev (>= 5.240~),
               libkf6configwidgets-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6declarative-dev (>= 5.240~),
               libkf6filemetadata-dev (>= 5.240~),
               libkf6guiaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6kio-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev,
               libkirigami-dev,
               libxcb-util-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.5~),
               qt6-svg-dev (>= 6.5~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/koko/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko

Package: koko
Architecture: any
Multi-Arch: foreign
Depends: koko-data (= ${source:Version}),
	 libgdk-pixbuf2.0-bin,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Image gallery for Plasma mobile
 Koko is an image viewer designed for desktop and touch devices.
 .
 It is based on Kirigami, being therefore able to adapt nicely to desktops,
 phones, big screens and potentially everything else.
 .
 It features a gallery and an image viewer, plus the chance to do simple
 image modifications (crop, rotation) in-app thanks to the kquickimageeditor.

Package: koko-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Image gallery for Plasma mobile -- data files
 Koko is an image viewer designed for desktop and touch devices.
 .
 This package contains architecture-independent data files.
